<!--

this enum defined in HwaStatDefine.h
enum {
    EXPO_TYPE_YUVHDR = 0,
    EXPO_TYPE_AIRAW = 1,
    EXPO_TYPE_ELLIP = 2,
    EXPO_TYPE_NIGHT_RAWHDR = 3,
    EXPO_TYPE_MANUAL_YUVHDR = 4, //to classify hdrindex in smartae
    EXPO_TYPE_RAWHDR = 5,
    EXPO_TYPE_ELAPSE = 8,
    EXPO_TYPE_AIRAWLITE = 11,
    EXPO_TYPE_HDSR = 12,
    EXPO_TYPE_SUPER_NIGHT = 13 ,
    EXPO_TYPE_DARK_VISION = 14 ,
};
-->

<SmartAE>
    <Enable>1</Enable>

    <rule name = "SmartAE_AIRAW-QuadSR">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>teleQuadraAiraw</value_option>
            <value_option>mainQuadraAiraw</value_option>
            <value_option>mainQuadraAirawFov</value_option>
            <value_option>normalmodeBokehQuadraAiraw</value_option>
        </condition>

       <outPQ name = "AIRAW-QuadSR" />
    </rule>
    <rule name = "SmartAE_AIRAW-Elliplite">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>mainAiRawHdrpElliplite</value_option>
            <value_option>wideAiRawHdrpElliplite</value_option>
            <value_option>teleAiRawHdrpElliplite</value_option>
			<value_option>mainAiRawHdrpEllipLiteNM</value_option>
        </condition>
        <outPQ name = "AIRAW-Elliplite" />
    </rule>
    <rule name = "SmartAE_Supernight">
        <condition name = "ExpoType" value ="EXPO_TYPE_SUPER_NIGHT"/>
        <condition name = "FeatureName">
            <value_option>mainTFSuperNight</value_option>
            <value_option>wideTFSuperNight</value_option>
            <value_option>teleTFSuperNight</value_option>
            <value_option>mainSuperNightBeautyNM</value_option>
            <value_option>wideSuperNightBeautyNM</value_option>
            <value_option>teleSuperNightBeautyNM</value_option>
            <value_option>mainSuperNightNM</value_option>
            <value_option>wideSuperNightNM</value_option>
            <value_option>teleSuperNightNM</value_option>
            <value_option>foremainTFSuperNight</value_option>
            <value_option>forewideTFSuperNight</value_option>
            <value_option>foreteleTFSuperNight</value_option>
        </condition>
       <outPQ name = "Supernight" />
    </rule>

    <rule name = "SmartAE_AIRAW-HDRP">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>mainRawHdr</value_option>
            <value_option>wideRawHdr</value_option>
            <value_option>wideAiRaw</value_option>
            <value_option>mainAiRawHdrp</value_option>
            <value_option>wideAiRawHdrp</value_option>
            <value_option>teleAiRawHdrp</value_option>
            <value_option>mainAiRawHdrplite</value_option>
            <value_option>wideAiRawHdrplite</value_option>
            <value_option>mainAiRawHdrpFov</value_option>
            <value_option>wideAiRawHdrpFov</value_option>
            <value_option>mainAiRawHdrpliteFov</value_option>
            <value_option>wideAiRawHdrpliteFov</value_option>
            <value_option>wideAiRawHdrpLiteHighRes</value_option>
        </condition>

       <outPQ name = "AIRAW-HDRP" />
    </rule>
    <rule name = "SmartAE_AIRAW-Mef">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMef</value_option>
            <value_option>mainAiRawMefSmallFace</value_option>
            <value_option>wideAiRawMef</value_option>
        </condition>
        <outPQ name = "AIRAW-Mef" />
    </rule>
    <rule name = "SmartAE_HDRP-Front">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainHdrp</value_option>
            <value_option>mainHdrpBeauty</value_option>
            <value_option>mainHdrpBokeh</value_option>
            <value_option>mainHdrpBokehBeauty</value_option>
        </condition>
        <outPQ name = "HDRP-Front" />
    </rule>
        <rule name = "SmartAE_AIRAW-Ellip">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELLIP"/>
        <condition name = "FeatureName" >
            <value_option>wideAiRawHdrpEllip</value_option>
            <value_option>wideAiRawHdrpEllipNM</value_option>
        </condition>
        <outPQ name = "AIRAW-Ellip" />
    </rule>
    <rule name = "SmartAE_BShutter">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELAPSE"/>
        <condition name = "FeatureName" >
            <value_option>BShutterYuv</value_option>
            <value_option>RawBShutter</value_option>
        </condition>
        <outPQ name = "BShutter" />
    </rule>
<!--
    <rule name = "SmartAE_default">
       <outPQ name = "default" />
    </rule>
-->
</SmartAE>
